<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Menu/usuarios.php"); 

   $nombrepagina = "MODIFICAR USUARIOS";
   encabezado($target); 

	 class llamado{
	 var $menuObj;
	 //var
	      function validar1($id_user){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_POST['id_user']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		 //echo"<br><br>";
		 
		 mostrar_cabeza_trabajo($nombrepagina);	 

?>
<CENTER>
<form action="" method="POST">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Actualización Usuarios ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<?
	class captura{
		  var $userObj;
		  function capturar(){
		  		   $this->userObj=new todos_usuarios();
				   echo "<select name='id' class='inputbox'>";
				   $this->userObj->get_usuarios();
				   echo "</select>";
		  }
	}
	$capturaObj=new captura();
	$capturaObj->capturar();
?>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="hidden" name="id_user" value="<? echo $_GET['id_user']?>" class="inputbox" size="25">
<input type="submit" name="Buscar" value="Buscar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
class actualizarUsuario{
	  var $actualizarObj;
	  var $conexionObj;
	  function setActualizar($id,$nombre,$username,$pass,$pass2,$usertype,$id_user){
	  		   $this->actualizarObj=new usuarios();
	 		   $this->actualizarObj->setId($id);
	 		   $this->actualizarObj->setNombre($nombre);
	 		   $this->actualizarObj->setUsername($username);
	 		   $this->actualizarObj->setPass($pass);
	 		   $this->actualizarObj->setUsertype($usertype);
			   
	  		   if($pass!=$pass2){
	   		     $msgBOX = "Las Contraseñas son Distintas.";
	  		     echo "<script>
	             		 setTimeout(location.href='modificar_usuario.php?id_user=$id_user', 100);
	             		 alert('$msgBOX');
	  		   	       </script>";
	  		   }
	  }
	  function getActualizar(){
	  		   return $this->actualizarObj;
	  }
	  function validar(){
	  		   
	  		   $this->conexionObj=new conexion();
			   $this->conexionObj->conectarse();
			   $id_user=$_POST['id_user'];
			   $rst_actualizar=$this->conexionObj->modificar("UPDATE usuarios SET nombre='".$this->actualizarObj->getNombre()."', username='".$this->actualizarObj->getUsername()."', pass='".$this->actualizarObj->getPass()."', usertype='".$this->actualizarObj->getUsertype()."' WHERE id='".$this->actualizarObj->getId()."'");
			   $rst_affected=mysql_affected_rows();
			   if($rst_affected>=1){
			   		$msgBOX = "Actualizacion Exitosa.";
	  		     echo "<script>
	             		 alert('$msgBOX');
						 setTimeout(location.href='modificar_usuario.php?id_user=$id_user', 100);
	  		   	       </script>";
			   }else{
			   		$msgBOX = "No se Actualizo Registro.";
	  		     echo "<script>
	                   	 alert('$msgBOX');
						 setTimeout(location.href='modificar_usuario.php?id_user=$id_user', 100);
	             	   </script>";
			   }
			   
	  }
}
// CREACION DEL OBJETO ACTUALIZAR_DATOS
$actualizarUsuarioObj=new actualizarUsuario();
// CAPTURA DE LAS PROPIEDADES DEL OBJETO
$actualizarUsuarioObj->setActualizar($_POST['id'],$_POST['nombre'],$_POST['username'],$_POST['pass'],$_POST['pass2'],$_POST['usertype'],$_POST['id_user']);
// LLAMADO DE VALIDACION
$actualizarUsuarioObj->validar();
?>